Câu hỏi Làm cách nào để hạ cấp AbiWord xuống phiên bản 2.8.6?


Phiên bản AbiWord (2.9.2) được cài đặt (với Lubuntu trong trường hợp của tôi) có nhiều lỗi! Có ai biết nếu / khi Ubuntu sẽ chuyển trở lại phiên bản ổn định (2.8.6)?


4
2017-07-05 17:55


gốc


Tôi rất nghi ngờ điều đó sẽ xảy ra. Trong mọi trường hợp, bạn cũng có thể đăng ký Danh sách gửi thư của Lubuntu và hỏi ở đó.
Nếu bạn cảm thấy thích tự sửa chữa, hãy xem chủ đề này và đề xuất cài đặt phiên bản bạn đã đề cập từ một ppa. Lưu ý rằng tôi đã không thử bất kỳ điều này.


Các câu trả lời:


Bây giờ chúng tôi đã có 2.9 từ 3 bản phát hành, nhưng có vẻ như nó có thể đã được thêm vào do tai nạn. Giả sử đó là trường hợp, quá trình hành động hợp lý nhất sẽ có thể sẽ cung cấp 2,8 cho bản phát hành tiếp theo và cung cấp một cổng sau cho phép người dùng cài đặt nó.

Điều này có thể được thực hiện theo một trong hai cách:

  • cung cấp một gói có tên khác, cung cấp 2.8 ngay cả khi 2.9 có sẵn (ví dụ, gói có thể được gọi là abiword-2.8 thay vì abiword (nếu nó không được xây dựng theo cách cho phép cả hai được cài đặt tại một thời điểm, các phụ thuộc của nó có thể phản ánh điều đó, buộc nhiều nhất một trong abiword và abiword-2.8 sẽ được cài đặt).

  • hạ cấp phiên bản do abiword (trong bản phát hành tiếp theo) đến 2,8, nhưng đặt tên nó với số phiên bản cao hơn để nó thực sự được cài đặt trên hệ thống đã có từ 2.9.

    Chuỗi phiên bản cho (và chỉ) mới nhất abiword gói trong Raring là 2.9.2+svn20120603-8; saucy-updates hiện đang có 3.0.0~svn20130523-1ubuntu2. Gói các phiên bản sau thay thế (tức là, theo mặc định được ưu tiên cài đặt trên) các gói phiên bản cũ hơn.

    Nhưng nếu một gói cung cấp abiword 2,8 đã được đưa ra chuỗi phiên bản 3.0.0+actually2.8.6, trình quản lý gói sẽ xem nó như là một phiên bản sau. (Điều này cũng có thể được cung cấp trong một PPA, nếu ai đó muốn làm công việc này - tôi thấy AbiWord khó biên dịch một cách đáng ngạc nhiên, ít nhất là khi tôi cố gắng bao gồm tất cả các tính năng mà người ta có thể mong đợi là có mặt. Một gói chính thức có lẽ sẽ không được gọi là bởi vì nó không phù hợp với quy ước đặt tên cho các gói - Các phiên bản dành riêng cho Ubuntu như thế này ubuntu trong tên của họ - nhưng tôi tin rằng điều này có thể được thực hiện trong các quy ước đặt tên được chấp nhận.)

Nói về PPA, vasa1 đã chỉ ra cái đó có (ít nhất) một. PPA của Lionel Le Folgoc cung cấp từ khóa 2.8.2 (và nó sử dụng lược đồ phiên bản như được mô tả ở trên: chuỗi phiên bản là 2.9.2+svn20120213really2.8.6-0ubuntu0.1~ppa1). Tuy nhiên, PPA không may chỉ cung cấp từ khóa 2.8.2 cho Chính xác. (Nếu bạn chọn một phiên bản khác trong trình đơn thả xuống "được xuất bản trong" trên trang đó, nó sẽ không xuất hiện.)

Với tất cả những gì đã nói, một gói Debian đã được hạ cấp cho abiword sẽ chắc là không được cung cấp chính thức. Điều này là do:

  • Phiên bản phát triển của abiword trở nên tốt hơn và tốt hơn (tổng thể và về tính ổn định) với mỗi bản phát hành. Hầu hết hoặc tất cả các lỗi bạn đã gặp phải có thể được khắc phục trong bản phát hành sau này. Đây là lý do tại sao nó ngớ ngẩn để bao gồm một phiên bản phát triển đông lạnh trong một bản phát hành Ubuntu ổn định - nó sẽ có rất nhiều lỗi mà sau đó sẽ không bao giờ được sửa trừ khi SRU xử lý được thực hiện. Quá trình đó đã không xảy ra với abiword trong vài phiên bản Ubuntu cuối cùng. Nhưng nó cũng có nghĩa là cung cấp các phiên bản phát triển tiếp theo sẽ sửa chữa hầu hết các lỗi.

  • Tôi không chắc khi AbiWord 3 sẽ có bản phát hành ngược dòng ổn định (tức là bản phát hành ổn định từ dự án AbiWord, sau đó có thể được đóng gói để đưa vào hệ điều hành như Debian, Ubuntu và các hệ thống GNU / Linux khác). Nhưng có vẻ như một bản phát hành - hoặc ít nhất là bản beta - sắp ra mắt. Hy vọng rằng nó sẽ được phát hành trong thời gian để làm cho nó thành Saucy. Thay đổi số phiên bản từ 2.9 ... thành 3.0 ... hy vọng có nghĩa là bản phát hành sắp ra mắt.

  • GTK + 2.0 mới là vẫn đóng gói cho các phiên bản mới nhất của Ubuntu, nhưng có một sự thúc đẩy cho các ứng dụng cổng tới GTK + 3.0, vì nó có thể cung cấp tích hợp tốt hơn với môi trường máy tính để bàn hiện nay và bởi vì cuối cùng GTK + 2.0 có thể không dùng nữa để xóa.

Tôi đã cố gắng đưa ra một câu trả lời hợp lý mà kết hợp có liên quan   sự kiện ("chủ quan tốt"). Đây là CW vì vậy nó dễ dàng hơn cho   bất cứ ai cập nhật / cải thiện. Với điều đó đã nói, nếu bạn muốn bắt đầu hoặc   tham gia vào một cuộc thảo luận toàn diện chủ đề này, một nơi nào đó   như Diễn đàn Ubuntu sẽ tốt hơn.


4